com.avaya.deskphoneservices

## Enum ConfigurationState

- java.lang.Object
- - java.lang.Enum<ConfigurationState>
  - - com.avaya.deskphoneservices.ConfigurationState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConfigurationState>

      public enum ConfigurationState
      extends java.lang.Enum<ConfigurationState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN_PROGRESS` App is handling configuration or login change.
    `PAUSED` Paused state.
    `PENDING` Config / login received from platform while app is busy processing previous.
    `READY` Ready to process configuration or login

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigurationState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConfigurationState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READY

          public static final ConfigurationState READY

      Ready to process configuration or login

    - #### PAUSED

          public static final ConfigurationState PAUSED

      Paused state. Ignore configuration or login and process later.

    - #### IN_PROGRESS

          public static final ConfigurationState IN_PROGRESS

      App is handling configuration or login change. Completion handler awaited.

    - #### PENDING

          public static final ConfigurationState PENDING

      Config / login received from platform while app is busy processing previous.

  - ### Method Detail

    - #### values

          public static ConfigurationState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigurationState c : ConfigurationState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigurationState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null